// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'ngCordova', 'starter.services', 'ui.mask', 'ngCordova.plugins.instagram'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html",
    controller: 'MenuCtrl'
  })

  .state('app.register', {
    url: "/register",
    views: {
      'menuContent': {
        templateUrl: 'templates/register.html',
        controller: 'RegisterCtrl'
      }
    }  
  })

  .state('app.registerBusiness', {
    url: "/register-business",
    views: {
      'menuContent': {
        templateUrl: 'templates/register-business.html',
        controller: 'RegisterBusinessCtrl'
      }
    }  
  })
  
  .state('app.login', {
    url: "/login",
    views: {
      'menuContent': {
        templateUrl: 'templates/login.html',
        controller: 'LoginCtrl'
      }
    }  
  })

  .state('thankyou', {
    url: '/thankyou',
    templateUrl: 'templates/thankyou.html',
    controller: 'ThankyouCtrl'
  })

  .state('tab', {
    url: "/tab",
    abstract: true,
    templateUrl: "templates/tabs.html"
  })

  .state('app.search', {
    cache: false,
    url: '/search',
    views: {
      'menuContent': {
        templateUrl: 'templates/search.html',
        controller: 'SearchCtrl'
      }
    }
  })

  .state('app.listing', {
    url: "/listing/:id",
    views: {
      'menuContent': {
        templateUrl: "templates/listing.html",
        controller: 'ListingCtrl'  
      }
    }
  })

  .state('app.dispensary-marketplace', {
    url: "/dispensary-marketplace",
    views: {
      'menuContent': {
        templateUrl: "templates/dispensary-marketplace.html",
        controller: 'DispensaryMarketplaceCtrl'  
      }
    }
  })

  .state('app.dispensary-cart', {
    url: "/dispensary-cart",
    views: {
      'menuContent': {
        templateUrl: "templates/dispensary-cart.html",
        controller: 'DispensaryCartCtrl'  
      }
    }, 
    cache: false
  })

  .state('app.vendor-menu', {
    cache: false,
    url: "/vendor-menu",
    views: {
      'menuContent': {
        templateUrl: "templates/vendor-menu.html",
        controller: 'VendorMenuCtrl'  
      }
    }
  })

  .state('app.vendor-menu-add', {
    url: "/vendor-menu-add",
    views: {
      'menuContent': {
        templateUrl: "templates/vendor-menu-add.html",
        controller: 'VendorMenuAddCtrl'  
      }
    }
  });

  //android vs ios
  $ionicConfigProvider.tabs.position('bottom');
  $ionicConfigProvider.tabs.style('standard');
  $ionicConfigProvider.navBar.alignTitle('center');
  $ionicConfigProvider.backButton.icon('ion-arrow-left-c');
  $ionicConfigProvider.backButton.text('');
  $ionicConfigProvider.backButton.previousTitleText(false);

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/search');
});
